/**
* @file i2c_software_master.h
*
* @brief I2C software master defines and build options
*
* @author  Artur Funk  
*/


#ifndef 		F_CPU				
#define 		F_CPU 28000000UL	
#endif

/**
init I2C master
@param void
@return none
*/
void 			i2c_master_init(void);

/**
toggle clock signal (SCL)
@param void
@return none
*/
void			i2c_master_clk_toggle(void);

/**
start I2C master
@param void
@return none
*/
void 		 	i2c_master_start(void);

/**
stop I2C master
@param void
@return none
*/
void 			i2c_master_stop(void);

/**
wait 50 times if SCL is hold to low 
@param start value
@retval  0 SCL is low
@retval  1 SCL is high
*/
unsigned char 		i2c_try_scl(unsigned char start_trials);

/**
Send one byte to I2C device
@param data  byte to be transfered
@return  status of stop condition ACK or NACK
*/
unsigned char  		i2c_master_write(unsigned char b);

/**
read one byte from I2C device
@param status of stop condition ACK or NACK
@return  byte read from I2C device
*/
unsigned char 		i2c_master_read(unsigned char a);

